Overview of Microsoft Visual Keyboard

Microsoft Visual Keyboard is a program that supports typing in more than one language on the same computer by showing you a keyboard for another language on your screen. You might use Visual Keyboard when you change your keyboard layout from one language to another. When you change keyboard layouts, the characters you see as you type might not correspond to your keyboard. But Visual Keyboard lets you see the keyboard for the language you've switched to on your screen so that you can either click the keys on your screen or see the correct keys to press to enter text.

For example, you might be working in an English version of Microsoft Word but want to type text in Greek. After you switch keyboard layouts from English to Greek, you can use Visual Keyboard to see the Greek keyboard layout on your screen. To enter [image] in your document, click [image] on the on-screen keyboard, or use Visual Keyboard as a map to press the keys on your keyboard that correspond to the on-screen keys.

Before you can use Visual Keyboard, you may need to install additional keyboard layouts. Then you can:

  • Switch keyboard layouts.

  • View a different keyboard layout on your screen.

  • Type text by using Visual Keyboard.

If you're typing text in an East Asian language, you might use Visual Keyboard in conjunction with an Input Method Editor (IME). Some IMEs come with their own version of a visual keyboard.

Note Microsoft Visual Keyboard is intended to aid international users and is not specifically designed to be an aid for users with mobility impairments. If you have access to the Word Wide Web, you can get information about using accessibility features in Microsoft products by visiting the Microsoft Accessibility Web site, which you can access from http://www.microsoft.com.


Install keyboard layouts

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Keyboard icon.

  3. Do one of the following:

    If you use Microsoft Windows 95 or Windows 98, click the Language tab.

    If you use Microsoft Windows NT version 4.0 or Windows 2000, click the Input Locales tab.

  4. Click Add.

  5. Do one of the following:

    If you use Windows 95 or Windows 98, click the language you want in the Language list, and then click OK.

    If you use Windows NT 4.0 or Windows 2000, click the language you want in the Input locales list, and then click OK.

  6. If you want to be able to switch keyboard layouts by using the Windows taskbar, make sure the Enable indicator on taskbar check box is selected.


Switch keyboard layouts

  1. Install the keyboard layout you want.

  2. On the Windows taskbar, click the Keyboard Layout Indicator [image] at the lower right of the screen, and then click the layout you want.

    The two letters shown are the International Standards Organization (ISO) code for the keyboard language.

Tips

  • You can also use shortcut keys to switch between keyboard layouts while you type. You can press LEFT ALT+SHIFT to rotate through all the installed keyboard layouts, or you can specify shortcut keys when you install the keyboard layout by using the Keyboard icon in Control Panel. If you use Windows 95 or Windows 98, select one of the Switch languages options on the Language tab to set the shortcut keys. If you use Windows NT 4.0, select one of the options under Switch locales on the Input Locales tab. If you use Windows 2000, select options under Hot keys for input locales on the Input Locales tab.

  • In Word, you can switch keyboard layouts by clicking the arrow next to the Keyboard Language button on the Formatting toolbar, and then clicking the language you want. If the Keyboard Language button does not appear on the Formatting toolbar, you can add the button using the Customize command (Tools menu), and then clicking the Commands tab. In the Categories list, click Format. Drag the Keyboard Language button from the Commands list to the location you want on the Formatting toolbar. For more information about adding a button to a toolbar, see Word online help.


View a different keyboard layout on the screen

Before you can view a keyboard layout using Visual Keyboard, you must install the keyboard layout you want to use.

  1. Start the program you want to use (for example, Microsoft Word).

  2. On the Start menu, point to Programs, point to Microsoft Office Tools, and then click Microsoft Visual Keyboard.

  3. Switch to the keyboard layout you want to use.

    The keyboard on the screen will switch to reflect the keyboard layout you're using.


Type text by using Visual Keyboard

  1. Start Visual Keyboard and display the keyboard layout you want.

  2. On the Settings menu, make sure the Always on top command is checked.

    This ensures that you can see Visual Keyboard and your document at the same time, even when your document has the focus.

  3. On the Settings menu, make sure the Send Keys to Other Applications command is checked.

    This ensures that when you click the keys in Visual Keyboard, the corresponding characters appear in your document.

  4. Place the insertion point in the document where you want to begin typing.

  5. Do one of the following:
    • On your keyboard, press the keys that correspond to the characters you want to type, using Visual Keyboard as a map.

    • In Visual Keyboard, click the characters you want to type.

    The corresponding characters appear in the document.

Note If you're typing text in an East Asian language, you might use Visual Keyboard in conjunction with an Input Method Editor (IME). Some IMEs come with their own version of a visual keyboard.


Print a copy of your Visual Keyboard layout

  1. Start Visual Keyboard and display the keyboard layout you want.

  2. Press ALT+PRINT SCREEN.

    This copies the image of the keyboard layout to the Clipboard.

  3. Start Word.

  4. With the insert point in the new document, press CTRL+V.

    The image of the keyboard appears in your Word document. You can print it as usual.


Customize Visual Keyboard

There are a number of different settings you can select for Visual Keyboard.

  • To see Visual Keyboard and your document at the same time, even when your document has the focus, make sure the Always on top command is checked on the Settings menu.

  • To change the font of the Visual Keyboard keys, click Font on the Settings menu.

  • To insert text into your document when you click the keys on Visual Keyboard, make sure the Send Keys to Other Applications command is checked on the Settings menu.

  • To have Visual Keyboard highlight its characters when you press the corresponding keys on your actual keyboard, click Highlight Keys When Pressed on the Settings menu.

  • If you resize Visual Keyboard, you can click Reset size on the Settings menu to restore Visual Keyboard to its original size.


Using Visual Keyboard with Input Method Editors

An Input Method Editor (IME) is a program that enables you to enter Asian text in other programs by converting the keystrokes from a non-Asian keyboard into Asian characters. The IME interprets your keystrokes as characters, then gives you the opportunity to insert the correct interpretation into the program you’re working in. MultiLanguage Pack and Proofing Tools include IMEs for Simplified Chinese, Traditional Chinese, Japanese, and Korean.

If you are using a Korean IME, you can use Visual Keyboard to display the 2 Beolsik layout. In Visual Keyboard, click Hangul Mode on the Settings menu. Visual Keyboard displays the 2 Beolsik layout as soon as you start the IME.

Visual Keyboard does not support layouts for Simplified Chinese or Traditional Chinese. However, the Simplified Chinese and Traditional Chinese Input Method Editors, which you can install from the Extras folder of MultiLanguage Pack or Proofing Tools, come with their own visual keyboard layouts.

Note If you are using Visual Keyboard to enter Japanese text, be aware that Visual Keyboard only supports Kana/Katakana direct input. Visual Keyboard does not work with Japanese Input Method Editors (IMEs) or Japanese Global IMEs.